//
//  PeopleListViewController.m
//  custom-table-cell
//
//  Created by Lee Irvine on 4/12/13.
//  Copyright (c) 2013 Lee Irvine. All rights reserved.
//

#import "PeopleListViewController.h"
#import "PersonCell.h"

@implementation PeopleListViewController

+ (id) viewController {
  return [[PeopleListViewController alloc] initWithNibName:@"PeopleListViewController" bundle:nil];
}

- (void)viewDidLoad {
  [super viewDidLoad];

  self.people = @[@"Clark Kent", @"John Johnson", @"Alex Alex"];
}

- (NSInteger) numberOfSectionsInTableView:(UITableView *)tableView {
  return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
  return [self.people count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
  static NSString *CellIdentifier = @"Cell";
  PersonCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
  if (cell == nil) {
    cell = [[PersonCell alloc] initWithReuseIdentifier:CellIdentifier];
  }
  
  cell.nameLabel.text = self.people[indexPath.row];
  
  return cell;
}

- (CGFloat) tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
  return [PersonCell height];
}

@end
